### Function

# EDataServer memchunk_clean

#### Declaration [src]

    void
    e_memchunk_clean (
      EMemChunk* memchunk
    )

#### Description [src]

Scan all empty blocks and check for blocks which can be free’d back to the system.

This routine may take a while to run if there are many allocated memory blocks (if the total number of allocations is many times greater than atomcount).

This function is not directly available to language bindings.

#### Parameters

`memchunk`

  Type: `EMemChunk`

  An `EMemChunk`.

  The data is owned by the caller of the function.